Subject: Re: [Bitcoin-development] Request review: drop misbehaving peers

From: Mike Hearn <[email-masked]>
Date: Thu, 15 Sep 2011 18:21:34 +0200

> If I think you're trying to DoS me, why would I be nice to you?

The issue is, what if I'm not trying to DoS you, but something went wrong?

> think response messages would just give an attacker another potential
> attack vector, and it is clear from the debug.log what triggers a ban.

Only clear to the node owner. Not the sender, who may in a better
position to debug.

It's pretty common for protocols to return useful errors even in DoS
conditions. Eg, http servers will often return 503 Service Unavailable
in overload conditions. Google actually sends a redirect telling you
why you got blocked.